Create an empty flow (draft)
curl --request POST \
--url https://{subdomain}.mihu.ai/api/v1/flow \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'import requests
url = "https://{subdomain}.mihu.ai/api/v1/flow"
payload = {
"name": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>'})
};
fetch('https://{subdomain}.mihu.ai/api/v1/flow', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"steps": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 123,
"parent_step_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app": {
"uid": "<string>",
"name": "<string>",
"icon": "<string>",
"requires_connection": true
},
"trigger": {
"key": "<string>",
"name": "<string>"
},
"action": {
"key": "<string>",
"name": "<string>"
},
"agent": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"app_connection": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>"
},
"config": {},
"last_test": {
"data": {}
}
}
]
}
}{
"message": "The sessionization.timeout minutes field must be an integer.",
"errors": {
"sessionization.timeout_minutes": [
"The sessionization.timeout minutes field must be an integer."
]
}
}Flows
Create an empty flow (draft)
Creates a flow with no steps. Both name and description are optional — when name is omitted the server assigns ‘Flow ’. Add a trigger step next via POST /flow//steps with kind=trigger.
POST
/
api
/
v1
/
flow
Create an empty flow (draft)
Authorizations
Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"
Response
Created
A flow with its ordered step list (top-level + branch children flat).
Show child attributes
Show child attributes
⌘I